#include <iostream>
#include "bintree.h"

int main() {
    BinTree<int> bt;
    cout << "Fuege 50, 3, 53, 21, 72, 15, 69, 111 zu binaerem Suchbaum hinzu" << endl;
    bt.insert(50);
    bt.insert(3);
    bt.insert(53);
    bt.insert(21);
    bt.insert(72);
    bt.insert(15);
    bt.insert(69);
    bt.insert(111);

    cout << "Aufgabe a) Baumhoehe" << endl;
    cout << "Soll-Ausgabe: 4" << endl;
    cout << "Ist-Ausgabe : " << bt.height() << endl << endl;

    cout << "Aufgabe b) Elemente in [16, 69]" << endl;
    cout << "Soll-Ausgabe: 21 50 53 69" << endl;
    cout << "Ist-Ausgabe : ";
    bt.range(16, 69);
    cout << endl << endl;

    cout << "Aufgabe c) newRootLeft" << endl;
    bt.rotateLeft();
    cout << "Soll-Ausgabe Wurzel: 3" << endl;
    cout << "Ist-Ausgabe Wurzel : " << bt.rootData() << endl;
    cout << "Soll-Ausgabe preorder : 3 50 21 15 53 72 69 111" << endl;
    cout << "Ist-Ausgabe preorder  : "; bt.preOrder();
    cout << endl;

    return 0;
}
